Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::base::AgoraServiceConfigEx Struct Reference

`#include <agora_service_i.h>`

Inherits agora::base::AgoraServiceConfiguration.

## Public Member Functions
| AgoraServiceConfigEx ()
| AgoraServiceConfigEx (const AgoraServiceConfiguration &rhs)
Public Member Functions inherited from agora::base::AgoraServiceConfiguration
| AgoraServiceConfiguration ()

## Public Attributes
MediaEngineType | engineType = MEDIA_ENGINE_WEBRTC
const char * | deviceId = nullptr
const char * | deviceInfo = nullptr
const char * | systemInfo = nullptr
const char * | configDir = nullptr
const char * | dataDir = nullptr
const char * | pluginDir = nullptr
const char * | shortCountryCode = nullptr
rtc::BitrateConstraints | bitrateConstraints
bool | apSendRequest = true
Public Attributes inherited from agora::base::AgoraServiceConfiguration
bool | enableAudioProcessor
bool | enableAudioDevice
bool | enableVideo
void * | context
const char * | appId
unsigned int | areaCode
agora::CHANNEL_PROFILE_TYPE | channelProfile
const char * | license
rtc::AUDIO_SCENARIO_TYPE | audioScenario
commons::LogConfig | logConfig
bool | useStringUid
IServiceObserver * | serviceObserver
Optional< rtc::THREAD_PRIORITY_TYPE > threadPriority | __deprecated
bool | useExternalEglContext
bool | domainLimit

## Constructor & Destructor Documentation

## ◆ AgoraServiceConfigEx() [1/2]

agora::base::AgoraServiceConfigEx::AgoraServiceConfigEx | ( |  | ) |
| inline

## ◆ AgoraServiceConfigEx() [2/2]

agora::base::AgoraServiceConfigEx::AgoraServiceConfigEx | ( | const AgoraServiceConfiguration & | rhs | ) |
| inline

## Member Data Documentation

## ◆ engineType

MediaEngineType agora::base::AgoraServiceConfigEx::engineType = MEDIA_ENGINE_WEBRTC

## ◆ deviceId

const char* agora::base::AgoraServiceConfigEx::deviceId = nullptr

## ◆ deviceInfo

const char* agora::base::AgoraServiceConfigEx::deviceInfo = nullptr

## ◆ systemInfo

const char* agora::base::AgoraServiceConfigEx::systemInfo = nullptr

## ◆ configDir

const char* agora::base::AgoraServiceConfigEx::configDir = nullptr

## ◆ dataDir

const char* agora::base::AgoraServiceConfigEx::dataDir = nullptr

## ◆ pluginDir

const char* agora::base::AgoraServiceConfigEx::pluginDir = nullptr

## ◆ shortCountryCode

const char* agora::base::AgoraServiceConfigEx::shortCountryCode = nullptr

## ◆ bitrateConstraints

rtc::BitrateConstraints agora::base::AgoraServiceConfigEx::bitrateConstraints

## ◆ apSendRequest

bool agora::base::AgoraServiceConfigEx::apSendRequest = true